Bug 179019 - New port: devel/acme: cross-assembler for 6502, 65c02 and 65816 processors
Summary: New port: devel/acme: cross-assembler for 6502, 65c02 and 65816 processors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 19:40 UTC by Uffe Jakobsen
Modified: 2013-08-03 08:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.59 KB, text/plain)
2013-05-27 19:40 UTC, Uffe Jakobsen
no flags Details
freebsd-ports-devel-acme.shar.txt (3.55 KB, text/plain; charset=UTF-8)
2013-06-13 09:56 UTC, Uffe Jakobsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2013-05-27 19:40:00 UTC
New port: devel/acme: cross-assembler for 6502, 65c02 and 65816 processors

ACME is a free crossassembler, released under the GNU General Public License.
The current version can produce code for the 6502, 65c02 and 65816 processors.
It also supports some of the undocumented ("illegal") opcodes of the 6502.

WWW: http://www.esw-heim.tu-clausthal.de/~marco/smorbrod/acme/

Fix: Patch attached with submission follows:
Comment 1 Uffe Jakobsen 2013-06-04 21:02:08 UTC
Hi,

Any news on this port ?

/Uffe
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-06-11 19:52:31 UTC
The new port looks mostly fine, but portlint spews quite a few warnings
and errors on the Makefile.

Could you take a look at those and submit an updated version?
Comment 3 Uffe Jakobsen 2013-06-13 09:56:45 UTC
portlint corrections - new shar attached.

/Uffe
Comment 4 Uffe Jakobsen 2013-06-23 22:42:55 UTC
Hi,

Any news on this port ?

/Uffe
Comment 5 Uffe Jakobsen 2013-07-08 15:15:31 UTC
ping ?
Comment 6 Uffe Jakobsen 2013-07-29 21:51:31 UTC
If there is something wrong with this port - then please let me know - 
it has been in submit-limbo for over two months now.
Comment 7 Jason Helfman freebsd_committer 2013-07-31 08:51:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 8 dfilter service freebsd_committer 2013-08-03 08:33:24 UTC
Author: jgh
Date: Sat Aug  3 07:33:15 2013
New Revision: 324179
URL: http://svnweb.freebsd.org/changeset/ports/324179

Log:
  ACME is a free crossassembler, released under the GNU General Public License.
  The current version can produce code for the 6502, 65c02 and 65816 processors.
  It also supports some of the undocumented ("illegal") opcodes of the 6502.
  
  WWW: http://www.esw-heim.tu-clausthal.de/~marco/smorbrod/acme/
  
  PR:		ports/179019
  Submitted by:	uffe@uffe.org

Added:
  head/devel/acme/
  head/devel/acme/Makefile   (contents, props changed)
  head/devel/acme/distinfo   (contents, props changed)
  head/devel/acme/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sat Aug  3 04:20:46 2013	(r324178)
+++ head/devel/Makefile	Sat Aug  3 07:33:15 2013	(r324179)
@@ -36,6 +36,7 @@
     SUBDIR += abi-compliance-checker
     SUBDIR += ace
     SUBDIR += ace+tao-doc
+    SUBDIR += acme
     SUBDIR += activitymail
     SUBDIR += adabooch
     SUBDIR += adabooch-doc-html

Added: head/devel/acme/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/acme/Makefile	Sat Aug  3 07:33:15 2013	(r324179)
@@ -0,0 +1,68 @@
+# Created by: Uffe Jakobsen <uffe@uffe.org>
+# $FreeBSD$
+
+PORTNAME=	acme
+PORTVERSION=	091
+CATEGORIES=	devel
+MASTER_SITES=	http://www.esw-heim.tu-clausthal.de/~marco/smorbrod/acme/current/
+DISTNAME=	${PORTNAME}${PORTVERSION}src
+
+MAINTAINER=	uffe@uffe.org
+COMMENT=	Crossassembler for 6502, 65c02 and 65816 processors
+
+LICENSE=	GPLv2
+
+OPTIONS_DEFINE=	DOCS EXAMPLES
+
+USE_BZIP2=		yes
+USES=	gmake
+
+BUILD_WRKSRC =	${WRKSRC}/src
+WRKSRC=	${WRKDIR}/${PORTNAME}${PORTVERSION}
+PORTDOCS=	*
+PORTEXAMPLES=	*
+
+PLIST_FILES=	bin/acme \
+		%%DATADIR%%/6502 \
+		%%DATADIR%%/6502/Help.txt \
+		%%DATADIR%%/6502/std.a \
+		%%DATADIR%%/65816 \
+		%%DATADIR%%/65816/Help.txt \
+		%%DATADIR%%/65816/std.a \
+		%%DATADIR%%/Own \
+		%%DATADIR%%/Own/Help.txt
+PLIST_DIRSTRY=	%%DATADIR%%/6502 \
+		%%DATADIR%%/65816 \
+		%%DATADIR%%/Own \
+		%%DATADIR%%
+
+.include <bsd.port.options.mk>
+
+post-patch-script:
+.for i in CC CFLAGS
+	@${REINPLACE_CMD} 's|${i}.*= |${i} ?= |g' ${WRKSRC}/src/Makefile
+.endfor
+
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/src/acme ${PREFIX}/bin/${PORTNAME}
+
+.for dir in 6502 65816 Own
+	@${MKDIR} ${DATADIR}/${dir}
+.endfor
+	${INSTALL_DATA} ${WRKSRC}/ACME_Lib/6502/* ${DATADIR}/6502
+	${INSTALL_DATA} ${WRKSRC}/ACME_Lib/65816/* ${DATADIR}/65816
+	${INSTALL_DATA} ${WRKSRC}/ACME_Lib/Own/* ${DATADIR}/Own
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/ReadMe.txt ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/docs/* ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}/me
+	${INSTALL_DATA} ${WRKSRC}/examples/*.a ${EXAMPLESDIR}/
+	${INSTALL_DATA} ${WRKSRC}/examples/me/*.a ${EXAMPLESDIR}/me/
+.endif
+
+.include <bsd.port.mk>

Added: head/devel/acme/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/acme/distinfo	Sat Aug  3 07:33:15 2013	(r324179)
@@ -0,0 +1,2 @@
+SHA256 (acme091src.tar.bz2) = 47d538c8da650d6a9f832fa5262ff9f552477c7ccc4cc4fa502f620e5ccf0f38
+SIZE (acme091src.tar.bz2) = 113072

Added: head/devel/acme/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/acme/pkg-descr	Sat Aug  3 07:33:15 2013	(r324179)
@@ -0,0 +1,5 @@
+ACME is a free crossassembler, released under the GNU General Public License.
+The current version can produce code for the 6502, 65c02 and 65816 processors.
+It also supports some of the undocumented ("illegal") opcodes of the 6502.
+
+WWW: http://www.esw-heim.tu-clausthal.de/~marco/smorbrod/acme/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Jason Helfman freebsd_committer 2013-08-03 08:33:39 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!